Package fr.gouv.vitam.metadata.api.exception

# Class MetaDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.metadata.api.exception.MetaDataException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MetaDataAlreadyExistException`, `MetaDataClientServerException`, `MetaDataDocumentSizeException`, `MetaDataExecutionException`, `MetadataInvalidSelectException`, `MetaDataNotFoundException`, `MetadataScrollLimitExceededException`, `MetadataScrollThresholdExceededException`

public class MetaDataException extends VitamException
MetaDataException the father of all metadata exception

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaDataException(VitamError vitamError)`
  Constructor
  `MetaDataException(String message)`
  Constructor
  `MetaDataException(String message, Throwable cause)`
  Constructor
  `MetaDataException(Throwable cause)`
  Constructor

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetaDataException

    public MetaDataException(VitamError vitamError)
    Constructor
    Parameters:
      `vitamError` - vitamError to associate with the exception

  - ### MetaDataException

    public MetaDataException(String message)
    Constructor
    Parameters:
      `message` - message to associate with the exception

  - ### MetaDataException

    public MetaDataException(Throwable cause)
    Constructor
    Parameters:
      `cause` - cause to associate with the exception

  - ### MetaDataException

    public MetaDataException(String message, Throwable cause)
    Constructor
    Parameters:
      `message` - message to associate with the exception
      `cause` - cause to associate with the exception